<?php 
class Application_Model_Form_Table3Search extends MyWeb_Form
{

    public function init()
    {
        $request = Zend_Controller_Front::getInstance()->getRequest();
        ZendX_JQuery::enableForm($this);	// zapnuti jQuery
        $getValue = $request->getParams();
        $translate = Zend_Registry::get('Zend_Translate');
        
        // nastaví atributy formuláře
        $this->setAction("search");
        $this->setMethod("post");
        $this->setAttrib("id", "form_table3_search");
        
        //nacteni config souboru s definovan7mi fomularovymi prvky
        $config = new Zend_Config_Ini(APPLICATION_PATH . "/forms/table3Search.ini");
        $this->setConfig($config);
        
        
        //***************************************************************************
        // Nastaveni hidden elemetu
        
        
        
        // vytvoří formulářový prvek odesílací tlačítko
        $submitInsert = new Zend_Form_Element_Submit("send", array("label" => $translate->translate('Search')));
        
        // přidá formulářové prvky do formuláře
        //$this->addElements(array());
        $this->addDisplayGroup(array(
        			'id_table3',
        			'table3_column1',
        			'table3_column2',
        			'table3_column3'
        			),'formRoleEdit',array('legend' => $translate->translate('SearchTable3')));
        $this->addElements(array(
        			$submitInsert,
        			
        			));
    }


}
